/*
   name:    getPathSettings.rex
   author:  Rony G. Flatscher
   date:    2008-06-14
   remarks: demonstrate the service "com.sun.star.util.PathSubstitution

*/


xContext = UNO.connect()  -- connect to server and retrieve the XContext object
XMcf = xContext~getServiceManager   -- retrieve XMultiComponentFactory

oPathSubstitution=XMcf~createInstanceWithContext("com.sun.star.util.PathSubstitution", xContext)

say ppd(oPathSubstitution~uno.getDefinition)
say "--"
xPathSubstitution=oPathSubstitution~XStringSubstitution
say ppd(xPathSubstitution~uno.getDefinition)
say "--"

arr=.array~of("inst", "prog", "user", "work", "home", "temp", -
              "insturl", "userurl", "progpath", -
              "path", "lang", "langid", "vlang")~sortWith(.caselessComparator~new)

do idx over arr
   say (pp(idx)":")~left(20) pp(xPathSubstitution~getSubstituteVariableValue("$("idx")"))
end


::requires uno.cls
